summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author core2010-05-11 20:01:22 +0200
committer Robby Workman2010-05-11 20:01:22 +0200
commitede491dd7db3d2997ae811b13df2f0ef05cc994d (patch)
treef86729ab7253852c8c0bddf3333828f73f04d3ab /multimedia
parent856fd0d1ef3a1481341c932e36ce117976569f30 (diff)
downloadslackbuilds-ede491dd7db3d2997ae811b13df2f0ef05cc994d.tar.gz
multimedia/mpeg2dec: Added to 12.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mpeg2dec/README10
-rw-r--r--multimedia/mpeg2dec/mpeg2dec.SlackBuild64
-rw-r--r--multimedia/mpeg2dec/mpeg2dec.info8
-rw-r--r--multimedia/mpeg2dec/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/multimedia/mpeg2dec/README b/multimedia/mpeg2dec/README
new file mode 100644
index 0000000000..828e0026a9
--- /dev/null
+++ b/multimedia/mpeg2dec/README
@@ -0,0 +1,10 @@
+mpeg2dec - A test program for libmpeg2.
+
+It decodes mpeg-1 and mpeg-2 video streams, and also includes a
+demultiplexer for mpeg-1 and mpeg-2 program streams.
+It is purposely kept simple : it does not
+include features like reading files from a DVD, CSS, fullscreen
+output, navigation, etc... The main purpose of mpeg2dec is to have a
+simple test bed for libmpeg2.
+The libmpeg2 source code is always distributed in the mpeg2dec
+package, to make it easier for people to test it.
diff --git a/multimedia/mpeg2dec/mpeg2dec.SlackBuild b/multimedia/mpeg2dec/mpeg2dec.SlackBuild
new file mode 100644
index 0000000000..d1699b391d
--- /dev/null
+++ b/multimedia/mpeg2dec/mpeg2dec.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for mpeg2dec
+
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=mpeg2dec
+VERSION=0.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog CodingStyle COPYING INSTALL NEWS \
+ README TODO doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mpeg2dec/mpeg2dec.info b/multimedia/mpeg2dec/mpeg2dec.info
new file mode 100644
index 0000000000..17a1af3835
--- /dev/null
+++ b/multimedia/mpeg2dec/mpeg2dec.info
@@ -0,0 +1,8 @@
+PRGNAM="mpeg2dec"
+VERSION="0.4.1"
+HOMEPAGE="http://libmpeg2.sourceforge.net"
+DOWNLOAD="http://libmpeg2.sourceforge.net/files/mpeg2dec-0.4.1.tar.gz"
+MD5SUM="7631b0a4bcfdd0d78c0bb0083080b0dc"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/multimedia/mpeg2dec/slack-desc b/multimedia/mpeg2dec/slack-desc
new file mode 100644
index 0000000000..1ec03737f5
--- /dev/null
+++ b/multimedia/mpeg2dec/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mpeg2dec: mpeg2dec (A test program for libmpeg2)
+mpeg2dec:
+mpeg2dec: It decodes mpeg-1 and mpeg-2 video streams, and also includes a
+mpeg2dec: demultiplexer for mpeg-1 and mpeg-2 program streams.
+mpeg2dec: It is purposely kept simple : it does not
+mpeg2dec: include features like reading files from a DVD, CSS, fullscreen
+mpeg2dec: output, navigation, etc... The main purpose of mpeg2dec is to have a
+mpeg2dec: simple test bed for libmpeg2.
+mpeg2dec: The libmpeg2 source code is always distributed in the mpeg2dec
+mpeg2dec: package, to make it easier for people to test it.
+mpeg2dec: Homepage: http://libmpeg2.sourceforge.net